package common.util;

public class ChunkPos {
	public final int x;
	public final int y;
	public final int z;

	public ChunkPos(int x, int y, int z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public int hashCode() {
		int i = 1664525 * this.x + 1013904223;
		int j = 1664525 * (this.z ^ -559038737) + 1013904223;
		int k = 1664525 * (this.y ^ -753653634) + 453434;
		return (i ^ j) + k;
	}

	public boolean equals(Object obj) {
		if(this == obj) {
			return true;
		}
		else if(!(obj instanceof ChunkPos)) {
			return false;
		}
		else {
			ChunkPos pos = (ChunkPos)obj;
			return this.x == pos.x && this.y == pos.y && this.z == pos.z;
		}
	}
}
